.main-header {
	display: flex;
	justify-content: center;
	align-items: center;
	position: sticky;
	top: 0;
	left: 0;
	width: 100%;
	z-index: 1000;
	padding: 10px 0;
	background: var(--color-white);
}

.main-header-cont {
	width: calc(100% - 200px);
	display: flex;
	justify-content: space-between;
	align-items: center;
	max-width: 1600px;
	margin: 0 auto;
}

.header-left {
	margin-top: 18px;
}

.lang-text {
	font-size: 16px;
	font-weight: 600;
}

.header-left .logo svg {
	width: 170px;
	height: 62px;
	transform: translateX(-6%);
}

.header-center .rating {
	width: 100%;
	display: flex;
	align-items: center;
	justify-content: center;
	gap: 10px;
	margin: auto;
	font-style: normal;
	font-weight: 300;
	font-size: 12px;
	line-height: 70%;
	color: #555555;
}

.header-center .rating-2 {
	font-size: 25px;
	font-weight: 500;
	letter-spacing: 0.5px;
	color: #000000;
	font-weight: 300;
}

.header-right {
	display: flex;
	align-items: center;
	gap: 62px;
	justify-content: center;
}

.phone {
	font-style: normal;
	font-weight: 600;
	font-size: 14px;
	line-height: 17px;
	text-decoration: none;
	color: #000000;
	display: flex;
	align-items: center;
	gap: 15px;
}

.phone i {
	font-size: 25px;
}

.lang {
	cursor: pointer;
}

.menu-toggle {
	font-size: 29px;
	background: none;
	border: none;
	cursor: pointer;
}

.fa-xmark {
	display: none;
}

.menu-backdrop {
	position: fixed;
	inset: 0;
	background: #00000080;
	display: contents;
	z-index: 9999;
}

.menu-backdrop:has(.top-menu.open) {
	display: block;
	width: 100%;
}

.main-header:has(.top-menu.open) .fa-bars {
	display: none;
}

.main-header:has(.top-menu.open) .fa-xmark {
	display: inline;
}

.top-menu {
	position: fixed;
	top: 86px;
	left: 0;
	width: 100%;
	padding: 40px 0;
	background-color: #ffffff;
	display: none;
	justify-content: center;
	align-items: flex-start;
	z-index: 999;
	border-top: 1px solid #e2e2e2;
}

.top-menu.open {
	display: flex;
}

.menu-columns {
	display: flex;
	justify-content: space-between;
	align-items: flex-start;
	width: 100%;
	gap: 60px;
	margin: 0 auto;
}

.contacts {
	margin-top: 80px;
}

.menu-col h3 {
	margin-bottom: 30px;
	font-size: 18px;
	font-weight: 600;
}

.menu-col ul {
	list-style-type: none;
	display: grid;
	gap: 20px;
}

.menu-col ul li {
	font-size: 16px;
}

.menu-col ul li a, .phone-number-with-icon {
	text-decoration: none;
	color: #333;
	display: flex;
	align-items: center;
	gap: 6px;
}

.menu-col ul li svg, .phone-number-with-icon svg {
	width: 25px;
	height: 25px;
	margin-right: 4px;
	flex-shrink: 0;
}

.svg-tel {
	width: 25px;
	height: 25px;
}

.menu-col .linkedin {
	color: #202020;
	border-radius: 999px;
	border: 1px solid #b4b0b0;
	font-size: 25px;
	width: 45px;
	height: 45px;
	display: flex;
	align-items: center;
	justify-content: center;
}

.top-menu {
	display: none;
}

.top-menu.open {
	display: block;
}

.header-right .lang {
	display: block;
}

.language-content.destkop-language-menu {
	display: none;
}
.language-content.destkop-language-content .language-list {
	bottom: -300px;
}

@media (max-width: 1600px) {
	.header-left .logo svg {
		width: 149px;
		aspect-ratio: auto 149 / 55;
		height: 55px;
	}
}

@media (max-width: 1300px) {
	.main-header {
		width: 100%;
	}

	.header-center .rating-2 {
		font-size: 20px;
	}

	.phone i {
		font-size: 19px;
	}

	.menu-col h3 {
		margin-bottom: 35px;
		font-size: 16px;
	}

	.header-center {
		text-align: center;
	}
}

@media (max-width: 1025px) {
	.header-right {
		gap: 22px;
	}

	.phone {
		font-size: 14px;
	}

	.menu-toggle {
		font-size: 20px;
	}
}

@media (max-width: 1200px) {
	.header-left .logo svg {
		width: 119px;
		aspect-ratio: auto 119 / 44;
		height: 44px;
	}

	.main-header-cont {
		width: calc(100% - 40px);
	}
}

@media (min-width: 770px) {
	.menu-columns .lang {
		display: none;
	}
	.language-content.destkop-language-menu {
		display: block;
	}
}

@media (max-width: 768px) {
	.header-left .logo svg {
		width: 85px;
		aspect-ratio: auto 85 / 37;
		height: 37px;
	}
}

@media (max-width: 770px) {
	.language-content.destkop-language-content {
		display: none;
	}
	.contacts {
		margin-top: 0;
	}
	.menu-col h3 {
		display: none;
	}
	.menu-col:last-of-type h3,
	.menu-col:nth-last-of-type(2) h3 {
		display: block;
	}
	.menu-col h3.contacts {
		display: none;
	}
	.menu-col:nth-last-of-type(2) ul {
		padding-bottom: 20px;
	}
	.menu-col h3.contacts ~ ul {
		padding-top: 20px;
	}
	.top-menu {
		top: 59px;
	}
	.main-header {
		padding: 3px 0;
	}
	.header-left {
		margin-top: 14px;
	}
	.menu-col ul li svg {
		width: 20px;
		height: 20px;
		margin-right: 4px;
	}

	.svg-tel {
		width: 20px;
		height: 20px;
	}
	.line-divider {
		width: 100%;
		border-top: 1px solid #ccc;
		text-align: center;
		font-size: 16px;
		font-weight: 600;
		color: #000;
		position: relative;
	}
	.lang {
		display: none;
	}

	.menu-columns .lang {
		display: flex;
		align-items: center;
		justify-content: space-between;
	}

	.header-right .phone {
		display: none;
	}

	.menu-toggle {
		display: inline-block;
	}

	.top-menu {
		position: fixed;
		left: 0;
		width: 100%;
		height: calc(100vh - 60px);
		overflow-y: auto;
		padding: 20px 0;
		background-color: #fff;
		z-index: 999;
	}

	.menu-columns {
		flex-direction: column;
		align-items: stretch;
		width: 100%;
		gap: 20px;
		margin: 0;
	}
	.menu-col h3 {
		margin-bottom: 20px;
	}

	.menu-col ul {
		gap: 20px;
	}

	.menu-col ul li {
		font-size: 15px;
	}

	.menu-col ul li i {
		font-size: 17px;
	}

	.menu-col ul li .linkedin {
		margin-top: 15px;
		margin-bottom: 15px;
		display: inline-block;
	}
	.rating-2 {
		font-size: 15px !important;
		font-weight: 500 !important;
	}
	span.rating {
		font-size: 8px !important;
		padding: 0 !important;
	}
}

@media (max-width: 460px) {
	.header-center .rating {
		font-size: 10px;
	}

	.header-center .rating-2 {
		font-size: 13px;
	}

	.phone-number-with-icon svg {
		margin-right: 0;
		width: 18px;
		height: 18px;
	}

	.phone-number-with-icon {
		font-size: 12px;
		gap: 3px;
	}

	.header-right {
		gap: 10px;
	}
}

@media (max-width: 357px) {
	.phone-number-with-icon svg {
		display: none;
	}
}
@media (max-width: 992px) {
	.header-center .rating {
		flex-direction: column;
		justify-content: center;
	}
}
